Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class LocalFileConfiguration

    java.lang.Object
      com.stc.eways.batchext.LocalFileConfiguration

    public class LocalFileConfiguration

extends java.lang.Object

This class represents the local file configuration.

Field Summary
`static java.lang.String` | `DYNCFG_MALFORMED_ACTION_EXIT`
`static java.lang.String` | `DYNCFG_MALFORMED_ACTION_IGNORE`
`static java.lang.String` | `DYNCFG_MALFORMED_ACTION_PUBLISH_ERROR`
`static java.lang.String` | `DYNCFG_MALFORMED_ACTION_RAISE_ALERT`
`static java.lang.String` | `POSTTC_COPY`
`static java.lang.String` | `POSTTC_DELETE`
`static java.lang.String` | `POSTTC_NONE`
`static java.lang.String` | `POSTTC_RENAME`
`static java.lang.String` | `POSTTC_UNDEFINED`
`static java.lang.String` | `PRETC_COPY`
`static java.lang.String` | `PRETC_NONE`
`static java.lang.String` | `PRETC_RENAME`
`static java.lang.String` | `PRETC_UNDEFINED`
`static java.lang.String` | `TC_GET`
`static java.lang.String` | `TC_PUT`
`static java.lang.String` | `TC_UNDEFINED`
`static java.lang.String` | `TT_NON_TRANSACTIONAL`
`static java.lang.String` | `TT_XA_COMPLIANT`

Constructor Summary
`LocalFileConfiguration()`

Method Summary
`java.lang.String` | `getActionOnMalformedCommand()` Gets Action on Malformed Command.
`boolean` | `getAppend()` Gets the append mode setting.
`java.lang.String` | `getClientClassName()`
`LocalFileConfiguration` | `getDynamicConfiguration()`
`java.util.Properties` | `getExtensionProperties()`
`java.lang.String` | `getExtensionPropertiesFile()`
`protected java.lang.String` | `getExternalName()`
`boolean` | `getIncludeOrderRecordInErrorRecord()` Checks on whether to include order record in error record or not.
`boolean` | `getIncludePayloadInErrorRecord()` Checks on whether to include payload in error record or not.
`int` | `getMaxSequenceNumber()` Gets the max sequence number setting.
`protected java.lang.String` | `getOID()`
`java.lang.String` | `getPostDirectoryName()` Gets the post directory name setting.
`boolean` | `getPostDirectoryNameIsPattern()` Gets the post directory name is pattern setting.
`java.lang.String` | `getPostFileName()` Gets the post file name setting.
`boolean` | `getPostFileNameIsPattern()` Gets the post file name is pattern setting.
`java.lang.String` | `getPostTransferCommand()` Gets the post transfer command setting.
`java.lang.String` | `getPreDirectoryName()` Gets the pre directory name.
`boolean` | `getPreDirectoryNameIsPattern()` Gets the pre directory name is pattern setting.
`java.lang.String` | `getPreFileName()` Gets the pre file name setting.
`boolean` | `getPreFileNameIsPattern()` Gets the pre file name is pattern setting.
`java.lang.String` | `getPreTransferCommand()` Gets the pre transfer command setting.
`java.lang.String` | `getProviderClassName()`
`boolean` | `getPublishStatusRecordOnError()` Checks on whether to publish status record On error or not.
`boolean` | `getPublishStatusRecordOnSuccess()` Checks on whether to publish status record on success or not.
`boolean` | `getResumeReadingEnabled()` Gets the resume reading enabled setting.
`int` | `getStartingSequenceNumber()` Gets the starting sequence number setting.
`java.lang.String` | `getStatePersistenceBaseLocation()` Gets the state persistence base location setting.
`boolean` | `getSynchronized()`
`java.lang.String` | `getTargetDirectoryName()` Gets the target directory name setting
`boolean` | `getTargetDirectoryNameIsPattern()` Gets the target directory name is pattern setting.
`java.lang.String` | `getTargetFileName()` Gets the target file name setting.
`boolean` | `getTargetFileNameIsPattern()` Gets the target file name is pattern setting.
`java.lang.String` | `getTransactionType()` Gets the transaction type setting.
`void` | `initialize(java.util.Properties props)`
`void` | `reset()` Resets the configuration at run time by loading the defaults from the e*Way connection configuration file.
`void` | `setActionOnMalformedCommand(java.lang.String newActionOnMalformedCommand)` Sets Action on Malformed Command.
`void` | `setAppend(boolean append)` Sets the append mode setting.
`void` | `setIncludeOrderRecordInErrorRecord(boolean newIncludeOrderRecordInErrorRecord)` Sets on whether to include order record in error record or not.
`void` | `setIncludePayloadInErrorRecord(boolean newIncludePayloadInErrorRecord)` Sets on whether to include payload in error record or not.
`void` | `setMaxSequenceNumber(int maxSequenceNumber)` Sets the max sequence number setting.
`void` | `setPostDirectoryName(java.lang.String PostDirectoryName)` Sets the post directory name setting.
`void` | `setPostDirectoryNameIsPattern(boolean PostDirectoryNameIsPattern)` Sets the post directory name is pattern setting.
`void` | `setPostFileName(java.lang.String PostFileName)` Sets the post file name setting.
`void` | `setPostFileNameIsPattern(boolean PostFileNameIsPattern)` Sets the post file name is pattern setting.
`void` | `setPostTransferCommand(java.lang.String postTransferCommand)` Sets the post transfer command setting.
`void` | `setPreDirectoryName(java.lang.String preDirectoryName)` Sets the pre directory name.
`void` | `setPreDirectoryNameIsPattern(boolean preDirectoryNameIsPattern)` Sets the pre directory name is pattern setting.
`void` | `setPreFileName(java.lang.String preFileName)` Sets the pre file name setting.
`void` | `setPreFileNameIsPattern(boolean preFileNameIsPattern)` Sets the pre file name is pattern setting.
`void` | `setPreTransferCommand(java.lang.String preTransferCommand)` Sets the pre command setting.
`void` | `setPublishStatusRecordOnError(boolean newPublishStatusRecordOnError)` Sets on whether to publish status record on error or not.
`void` | `setPublishStatusRecordOnSuccess(boolean newPublishStatusRecordOnSuccess)` Sets on whether to publish status record on success or not.
`void` | `setResumeReadingEnabled(boolean resumeReadingEnabled)` Sets the resume reading enabled setting.
`void` | `setStartingSequenceNumber(int startingSequenceNumber)` Sets the starting sequence number setting.
`protected void` | `setSynchronized(boolean b)`
`void` | `setTargetDirectoryName(java.lang.String targetDirectoryName)` Gets the target directory name setting
`void` | `setTargetDirectoryNameIsPattern(boolean targetDirectoryNameIsPattern)` Sets the target directory name is pattern setting.
`void` | `setTargetFileName(java.lang.String targetFileName)` Sets the target file name setting.
`void` | `setTargetFileNameIsPattern(boolean targetFileNameIsPattern)` Sets the target file name is pattern setting.
`java.lang.String` | `toString()`
`protected void` | `validateBasics()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRETC_UNDEFINED

    public static final java.lang.String PRETC_UNDEFINED

See Also:
  Constant Field Values

### PRETC_NONE

    public static final java.lang.String PRETC_NONE

See Also:
  Constant Field Values

### PRETC_RENAME

    public static final java.lang.String PRETC_RENAME

See Also:
  Constant Field Values

### PRETC_COPY

    public static final java.lang.String PRETC_COPY

See Also:
  Constant Field Values

### TC_UNDEFINED

    public static final java.lang.String TC_UNDEFINED

See Also:
  Constant Field Values

### TC_GET

    public static final java.lang.String TC_GET

See Also:
  Constant Field Values

### TC_PUT

    public static final java.lang.String TC_PUT

See Also:
  Constant Field Values

### POSTTC_UNDEFINED

    public static final java.lang.String POSTTC_UNDEFINED

See Also:
  Constant Field Values

### POSTTC_NONE

    public static final java.lang.String POSTTC_NONE

See Also:
  Constant Field Values

### POSTTC_RENAME

    public static final java.lang.String POSTTC_RENAME

See Also:
  Constant Field Values

### POSTTC_DELETE

    public static final java.lang.String POSTTC_DELETE

See Also:
  Constant Field Values

### POSTTC_COPY

    public static final java.lang.String POSTTC_COPY

See Also:
  Constant Field Values

### TT_NON_TRANSACTIONAL

    public static final java.lang.String TT_NON_TRANSACTIONAL

See Also:
  Constant Field Values

### TT_XA_COMPLIANT

    public static final java.lang.String TT_XA_COMPLIANT

See Also:
  Constant Field Values

### DYNCFG_MALFORMED_ACTION_EXIT

    public static final java.lang.String DYNCFG_MALFORMED_ACTION_EXIT

See Also:
  Constant Field Values

### DYNCFG_MALFORMED_ACTION_IGNORE

    public static final java.lang.String DYNCFG_MALFORMED_ACTION_IGNORE

See Also:
  Constant Field Values

### DYNCFG_MALFORMED_ACTION_RAISE_ALERT

    public static final java.lang.String DYNCFG_MALFORMED_ACTION_RAISE_ALERT

See Also:
  Constant Field Values

### DYNCFG_MALFORMED_ACTION_PUBLISH_ERROR

    public static final java.lang.String DYNCFG_MALFORMED_ACTION_PUBLISH_ERROR

See Also:
  Constant Field Values

Constructor Detail

### LocalFileConfiguration

    public LocalFileConfiguration()

Method Detail

### initialize

    public void initialize(java.util.Properties props)
                    throws BatchException

  Throws:
    `BatchException`

### reset

    public void reset()
               throws BatchException

  Resets the configuration at run time by loading the defaults from the e*Way connection configuration file.

  Throws:
    `BatchException`

### getOID

    protected java.lang.String getOID()

### getExternalName

    protected java.lang.String getExternalName()

### validateBasics

    protected void validateBasics()
                           throws BatchException

  Throws:
    `BatchException`

### getTransactionType

    public java.lang.String getTransactionType()

  Gets the transaction type setting.

  Returns:
    The transaction type.

### getResumeReadingEnabled

    public boolean getResumeReadingEnabled()

  Gets the resume reading enabled setting.

  Returns:
    true if enabled, false if disabled.

### setResumeReadingEnabled

    public void setResumeReadingEnabled(boolean resumeReadingEnabled)

  Sets the resume reading enabled setting.

  Parameters:
    `resumeReadingEnabled` - true to enable, false to disable.

### getStatePersistenceBaseLocation

    public java.lang.String getStatePersistenceBaseLocation()

  Gets the state persistence base location setting.

  Returns:
    The state persistence base location

### getTargetDirectoryName

    public java.lang.String getTargetDirectoryName()

  Gets the target directory name setting

  Returns:
    The target directory name.

### setTargetDirectoryName

    public void setTargetDirectoryName(java.lang.String targetDirectoryName)
                                throws java.lang.Exception

  Gets the target directory name setting

  Parameters:
    `targetDirectoryName` - The new target directory name.
  Throws:
    `java.lang.Exception`

### getTargetDirectoryNameIsPattern

    public boolean getTargetDirectoryNameIsPattern()

  Gets the target directory name is pattern setting.

  Returns:
    true if pattern, false if literal.

### setTargetDirectoryNameIsPattern

    public void setTargetDirectoryNameIsPattern(boolean targetDirectoryNameIsPattern)
                                         throws java.lang.Exception

  Sets the target directory name is pattern setting.

  Parameters:
    `targetDirectoryNameIsPattern` - true to set as pattern, false to set as literal.
  Throws:
    `java.lang.Exception`

### getTargetFileName

    public java.lang.String getTargetFileName()

  Gets the target file name setting.

  Returns:
    The target file name.

### setTargetFileName

    public void setTargetFileName(java.lang.String targetFileName)
                           throws java.lang.Exception

  Sets the target file name setting.

  Parameters:
    `targetFileName` - The new target file name.
  Throws:
    `java.lang.Exception`

### getTargetFileNameIsPattern

    public boolean getTargetFileNameIsPattern()

  Gets the target file name is pattern setting.

  Returns:
    true if pattern, false if literal.

### setTargetFileNameIsPattern

    public void setTargetFileNameIsPattern(boolean targetFileNameIsPattern)
                                    throws java.lang.Exception

  Sets the target file name is pattern setting.

  Parameters:
    `targetFileNameIsPattern` - true to set as pattern, false to set as literal.
  Throws:
    `java.lang.Exception`

### getAppend

    public boolean getAppend()

  Gets the append mode setting.

  Returns:
    true if append, false if overwrite.

### setAppend

    public void setAppend(boolean append)

  Sets the append mode setting.

  Parameters:
    `append` - true to set for append, false to set for overwrite.

### getPreTransferCommand

    public java.lang.String getPreTransferCommand()

  Gets the pre transfer command setting.

  Returns:
    The pre transfer command.

### setPreTransferCommand

    public void setPreTransferCommand(java.lang.String preTransferCommand)

  Sets the pre command setting.

  Parameters:
    `preTransferCommand` - The new pre command.

### getPreDirectoryName

    public java.lang.String getPreDirectoryName()

  Gets the pre directory name.

  Returns:
    The pre directory name.

### setPreDirectoryName

    public void setPreDirectoryName(java.lang.String preDirectoryName)

  Sets the pre directory name.

  Parameters:
    `preDirectoryName` - The new pre directory name.

### getPreDirectoryNameIsPattern

    public boolean getPreDirectoryNameIsPattern()

  Gets the pre directory name is pattern setting.

  Returns:
    true if pattern, false if literal.

### setPreDirectoryNameIsPattern

    public void setPreDirectoryNameIsPattern(boolean preDirectoryNameIsPattern)

  Sets the pre directory name is pattern setting.

  Parameters:
    `preDirectoryNameIsPattern` - true to set as pattern, false to set as literal.

### getPreFileName

    public java.lang.String getPreFileName()

  Gets the pre file name setting.

  Returns:
    The pre file name.

### setPreFileName

    public void setPreFileName(java.lang.String preFileName)

  Sets the pre file name setting.

  Parameters:
    `preFileName` - The new pre file name.

### getPreFileNameIsPattern

    public boolean getPreFileNameIsPattern()

  Gets the pre file name is pattern setting.

  Returns:
    true if pattern, false if literal.

### setPreFileNameIsPattern

    public void setPreFileNameIsPattern(boolean preFileNameIsPattern)

  Sets the pre file name is pattern setting.

  Parameters:
    `preFileNameIsPattern` - true to set as pattern, flase to set as literal.

### getPostTransferCommand

    public java.lang.String getPostTransferCommand()

  Gets the post transfer command setting.

  Returns:
    The post transfer command.

### setPostTransferCommand

    public void setPostTransferCommand(java.lang.String postTransferCommand)

  Sets the post transfer command setting.

  Parameters:
    `postTransferCommand` - The new post transfer command.

### getPostDirectoryName

    public java.lang.String getPostDirectoryName()

  Gets the post directory name setting.

  Returns:
    The post directory name.

### setPostDirectoryName

    public void setPostDirectoryName(java.lang.String PostDirectoryName)

  Sets the post directory name setting.

  Parameters:
    `PostDirectoryName` - The new post directory name.

### getPostDirectoryNameIsPattern

    public boolean getPostDirectoryNameIsPattern()

  Gets the post directory name is pattern setting.

  Returns:
    true if pattern, else if literal.

### setPostDirectoryNameIsPattern

    public void setPostDirectoryNameIsPattern(boolean PostDirectoryNameIsPattern)

  Sets the post directory name is pattern setting.

  Parameters:
    `PostDirectoryNameIsPattern` - true to set as pattern, false to set as literal.

### getPostFileName

    public java.lang.String getPostFileName()

  Gets the post file name setting.

  Returns:
    The post file name.

### setPostFileName

    public void setPostFileName(java.lang.String PostFileName)

  Sets the post file name setting.

  Parameters:
    `PostFileName` - The new post file name.

### getPostFileNameIsPattern

    public boolean getPostFileNameIsPattern()

  Gets the post file name is pattern setting.

  Returns:
    true if pattern, false if litteral.

### setPostFileNameIsPattern

    public void setPostFileNameIsPattern(boolean PostFileNameIsPattern)

  Sets the post file name is pattern setting.

  Parameters:
    `PostFileNameIsPattern` - true to set as pattern, false to set as literal.

### getStartingSequenceNumber

    public int getStartingSequenceNumber()

  Gets the starting sequence number setting.

  Returns:
    The starting sequence number.

### setStartingSequenceNumber

    public void setStartingSequenceNumber(int startingSequenceNumber)

  Sets the starting sequence number setting.

  Parameters:
    `startingSequenceNumber` - The new starting sequence number.

### getMaxSequenceNumber

    public int getMaxSequenceNumber()

  Gets the max sequence number setting.

  Returns:
    The max sequence number.

### setMaxSequenceNumber

    public void setMaxSequenceNumber(int maxSequenceNumber)

  Sets the max sequence number setting.

  Parameters:
    `maxSequenceNumber` - The new max sequence number.

### getDynamicConfiguration

    public LocalFileConfiguration getDynamicConfiguration()

### getPublishStatusRecordOnSuccess

    public boolean getPublishStatusRecordOnSuccess()

  Checks on whether to publish status record on success or not.

  Returns:
    true or false.

### setPublishStatusRecordOnSuccess

    public void setPublishStatusRecordOnSuccess(boolean newPublishStatusRecordOnSuccess)

  Sets on whether to publish status record on success or not.

  Parameters:
    `newPublishStatusRecordOnSuccess` - true or false.

### getPublishStatusRecordOnError

    public boolean getPublishStatusRecordOnError()

  Checks on whether to publish status record On error or not.

  Returns:
    true or false.

### setPublishStatusRecordOnError

    public void setPublishStatusRecordOnError(boolean newPublishStatusRecordOnError)

  Sets on whether to publish status record on error or not.

  Parameters:
    `newPublishStatusRecordOnError` - true or false.

### getIncludeOrderRecordInErrorRecord

    public boolean getIncludeOrderRecordInErrorRecord()

  Checks on whether to include order record in error record or not.

  Returns:
    true or false.

### setIncludeOrderRecordInErrorRecord

    public void setIncludeOrderRecordInErrorRecord(boolean newIncludeOrderRecordInErrorRecord)

  Sets on whether to include order record in error record or not.

  Parameters:
    `newIncludeOrderRecordInErrorRecord` - true or false.

### getIncludePayloadInErrorRecord

    public boolean getIncludePayloadInErrorRecord()

  Checks on whether to include payload in error record or not.

  Returns:
    true or false.

### setIncludePayloadInErrorRecord

    public void setIncludePayloadInErrorRecord(boolean newIncludePayloadInErrorRecord)

  Sets on whether to include payload in error record or not.

  Parameters:
    `newIncludePayloadInErrorRecord` - true or false.

### getActionOnMalformedCommand

    public java.lang.String getActionOnMalformedCommand()

  Gets Action on Malformed Command.

  Returns:
    The Action on Malformed Command.

### setActionOnMalformedCommand

    public void setActionOnMalformedCommand(java.lang.String newActionOnMalformedCommand)

  Sets Action on Malformed Command.

  Parameters:
    `newActionOnMalformedCommand` - The Action on Malformed Command. Valid entries include Exit, Ignore, Raise alert, and Publish error record.

### getClientClassName

    public java.lang.String getClientClassName()

### getProviderClassName

    public java.lang.String getProviderClassName()

### getExtensionPropertiesFile

    public java.lang.String getExtensionPropertiesFile()

### getExtensionProperties

    public java.util.Properties getExtensionProperties()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setSynchronized

    protected void setSynchronized(boolean b)

### getSynchronized

    public boolean getSynchronized()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD